com.ihr.xbrl.versioning

## Class ConceptActivityReport

- java.lang.Object
- - com.ihr.xbrl.versioning.ConceptActivityReport

-     public class ConceptActivityReport
      extends java.lang.Object

  This is a class that encapsulates information about what happened to a concept from a previous version of the taxonomy to a new version of the taxonomy.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MIGRATION_NOT_POSSIBLE` The Constant MIGRATION_NOT_POSSIBLE.
    `static int` | `MIGRATION_OK` The Constant MIGRATION_OK.
    `static int` | `MIGRATION_WITH_WARNINGS` The Constant MIGRATION_WITH_WARNINGS.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptActivityReport(javax.xml.namespace.QName concept, VlVersioningProcessor vp)` Instantiates a new concept activity report.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Action>` | `getActions(Assignment as)` Gets the actions.
    `java.util.Iterator<Assignment>` | `getAssignments()` Gets the assignments.
    `java.util.Iterator<Event>` | `getEvents(Action ac)` Gets the events.
    `XMLElementDefinition` | `getNewConcept()` Gets the new concept.
    `int` | `migrationPossibilities()` Migration possibilities.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIGRATION_OK

          public static final int MIGRATION_OK

      The Constant MIGRATION_OK.
      See Also:
        Constant Field Values

    - #### MIGRATION_NOT_POSSIBLE

          public static final int MIGRATION_NOT_POSSIBLE

      The Constant MIGRATION_NOT_POSSIBLE.
      See Also:
        Constant Field Values

    - #### MIGRATION_WITH_WARNINGS

          public static final int MIGRATION_WITH_WARNINGS

      The Constant MIGRATION_WITH_WARNINGS.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConceptActivityReport

          public ConceptActivityReport(javax.xml.namespace.QName concept,
                               VlVersioningProcessor vp)

      Instantiates a new concept activity report.
      Parameters:
        `concept` - the concept
        `vp` - the vp

  - ### Method Detail

    - #### migrationPossibilities

          public int migrationPossibilities()

      Migration possibilities.
      Returns:
        int

    - #### getNewConcept

          public XMLElementDefinition getNewConcept()

      Gets the new concept.
      Returns:
        XMLElementDefinition

    - #### getAssignments

          public java.util.Iterator<Assignment> getAssignments()

      Gets the assignments.
      Returns:
        Iterator

    - #### getActions

          public java.util.Iterator<Action> getActions(Assignment as)

      Gets the actions.
      Parameters:
        `as` - the as
      Returns:
        Iterator

    - #### getEvents

          public java.util.Iterator<Event> getEvents(Action ac)

      Gets the events.
      Parameters:
        `ac` - the ac
      Returns:
        Iterator